Subject: Re: [bitcoin-dev] We need to fix the block withholding attack

From: Geir Harald Hansen <[email-masked]>
Date: Sun, 27 Dec 2015 05:10:09 +0100

Last I heard it was believed the miner had made their own mining client
and that the block withholding was a bug, not an intended feature.

On 26.12.2015 09:12, Multipool Admin via bitcoin-dev wrote:
> Any attempt to 'fix' this problem, would most likely require changes to
> all mining software, why not just make mining more decentralized in general?
> 
> For example, allow anyone to submit proofs of work to Bitcoind that are
> some fraction of the network difficulty and receive payment for them if
> they're valid.  This would also encourage the proliferation of full
> nodes since anyone could solo mine again.  Then, the next coinbase
> transaction could be split among, say, the top 100 proofs of work.
> 
> Eligius already does their miner payouts like this.
> 
> If you want to fix an issue with mining, fix the selfish mining issue
> first as it's a much larger and more dangerous potential issue.
> 
> I don't believe it was ever clearly established whether Eligius suffered
> a block withholding attack or was just the victim of a miner with (what
> was, at the time) a large amount of faulty hardware, however, from the
> Bitcointalk threads at the time I believe it was assumed to be the latter.
> 
> --Adam
> 
> 
> On Sat, Dec 19, 2015 at 8:44 PM, Peter Todd via bitcoin-dev
> <[email-masked]
> <mailto:[email-masked]>> wrote:
> 
>     On Sat, Dec 19, 2015 at 07:43:59PM -0800, Chris Priest via
>     bitcoin-dev wrote:
>     > Then shouldn't this be something the pool deals with, not the bitcoin protocol?
> 
>     There is no known way for pools - especially ones that allow anonymous
>     hashers - to effectively prevent block withholding attacks without
>     changing the Bitcoin protocol.
> 
>     --
>     'peter'[:-1]@petertodd.org <http://petertodd.org>
>     00000000000000000188b6321da7feae60d74c7b0becbdab3b1a0bd57f10947d
> 
>     _______________________________________________
>     bitcoin-dev mailing list
>     [email-masked]
>     <mailto:[email-masked]>
>     https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
> 
> 
> 
> 
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>